### Function

# Gdk keyval_get_aliases

unstable since: 4.24

#### Declaration [src]

    const guint*
    gdk_keyval_get_aliases (
      guint keyval,
      guint* n_aliases
    )

#### Description [src]

Gets keyvals that are ‘aliases’ for `keyval`.

Aliases are meant to be functionally equivalent and should be treated the same with respect to keyboard shortcuts, etc. An example are keypad keys that are aliases for their normal counterpart, such as `GDK_KEY_KP_Left` and `GDK_KEY_Left`.

Available since: 4.24

#### Parameters

`keyval`

  Type: `guint`

  The keyval to get aliases for.

`n_aliases`

  Type: `guint*`

  Return location for the number of aliases.

  The argument will be set by the function.

#### Return value

Type: An array of `guint`

    an array of keyvals.

The length of the array is in the `n_aliases` argument.
The data is owned by the called function.
The return value can be `NULL`.